跳转到主要内容
GET
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
threads
/
{thread_id}
/
attachments
/
{attachment_id}
获取附件
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/threads/{thread_id}/attachments/{attachment_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/threads/{thread_id}/attachments/{attachment_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/threads/{thread_id}/attachments/{attachment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "attachment_id": "<string>",
  "size": 123,
  "download_url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "filename": "<string>",
  "content_type": "<string>",
  "content_id": "<string>"
}
{
"name": "<string>",
"message": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求头

Authorization
string
必填

Bearer 身份验证

路径参数

inbox_id
string
必填

收件箱的 ID。

thread_id
string
必填

会话 ID。

attachment_id
string
必填

附件 ID。

响应

状态码为 200 的响应

attachment_id
string
必填

附件 ID。

size
integer
必填

附件大小(字节)。

download_url
string
必填

用于下载附件的 URL。

expires_at
string<date-time>
必填

下载 URL 的过期时间。

filename
string

附件文件名。

content_type
string

附件的内容类型。

content_disposition
enum<string>

附件的内容处置方式。

可用选项:
inline,
attachment
content_id
string

附件的内容 ID。